#!/bin/sh
#set -e

. $KUMATUXBIN/kumatux.org-vars
APPNAME=`$KUMATUXBASENAME $1 | sed 's/_.*//'`
for SEARCH1 in lib lib64
do
for PYVER in $KUMATUXPYTHONVERSIONS
do
    if [ -d $1/$SEARCH1/python$PYVER/site-packages -a ! $APPNAME = python ]
    then
	SEARCH="$SEARCH1/python$PYVER/site-packages"
	ROOTDIR=$KUMATUXROOTPYTHON
	ETCDIR=$KUMATUXETCPYTHON

## check whether app already linked
	LINKED=`$KUMATUXFIND/linked-allready.sh $1 $ROOTDIR/$PYVER $SEARCH`
	if [ "$LINKED" ]
	then
## don't link
	    echo "$1/$SEARCH linked already in $LINKED"
	else
## link
	    $KUMATUXLINK/python-link.sh $1 $SEARCH $ETCDIR $ROOTDIR $PYVER
	fi
    fi
done
done

## link python into /usr/lib/
#if [ $APPNAME = "python" ]
#then
#    $KUMATUXLINK/python-usr-lib.sh $1
#fi
if [ $APPNAME = "python" ]
then
    echo "Symlinking $1/bin/python to $KUMATUXBIN/..."
    ln -s $1/bin/python $KUMATUXBIN/
    echo "Symlinked."
fi
